
.app-screen {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: row;

    .sidebar-left {
        flex: 0 0 $sidebar-width;
        background-color: $sidebar;
        transition: all .3s ease-out;
        z-index: $sidebar-z-index;
    }
    
    .page-wrapper {
        display: flex;
        flex-direction: column;
        flex: 1 1 auto;
        
        .topbar {
            background: $topbar;
            border-bottom: $border-width solid darken($dark, 7.5%);
            box-shadow: $box-shadow-sm;
            height: $topbar-height;
        }

        .content-wrapper {
            overflow-y: overlay;
            overflow-x: hidden;
            flex-basis: 0;
            flex-grow: 1;

            &::-webkit-scrollbar {
                width: 6px;
            }

            &::-webkit-scrollbar-thumb {
                background: #2e3c44;
                border-radius: 5px;
                visibility: hidden;
                transition: all .3s 1s ease-out;

                &:hover {
                    visibility: visible;
                }
            }
        }
    }
}

@media screen and (min-width: 0) and (max-width: 767px) {
    .app-screen {
        .page-wrapper {
            .topbar {
                z-index: 1;
            }
        }

        .sidebar-left {
            &.mini {
                flex-basis: 0;
                opacity: .5;

                & + .page-wrapper {
                    flex-grow: 1;

                    .topbar {
                        opacity: 1;
                        transform: translateX(0);
                        transition: all 1s ease-out, opacity .4s .8s linear;
                    }

                    .content-wrapper {
                        box-shadow: none;
                    }

                }

                *:not(:first-child) {
                    display: none;
                }

            }
    
            &.extend {
                flex-grow: 2;

                & + .page-wrapper {
                    flex-grow: 1;
                    background: rgba($black, .4);

                    .top-bar {
                        opacity: 0;
                        transform: translateX(100%);
                        transition: all 1s 1s ease-out, opacity 1s linear;
                    }

                    *:not(.top-bar) {
                        display: none;
                    }
                }
            }
        }
    }
}



